///////////////////////////////////////////////////////////////////////////////
//
//  Filename: CtlPointList.h
//  Author: Wang, Yi
//  Last modified: 2004-2-25 0:47
//
///////////////////////////////////////////////////////////////////////////////

#ifndef CtlPointListH
#define CtlPointListH

#include <qptrlist.h> 
#include <qstring.h> 
#include <math.h>
#include "BCommon.h"
#include "SpeedList.h"

typedef QPtrList<tagCtlPoint> PtrCtlPointList;

class CtlPointList
{
public:
	void Reset(tagBahnStrecke Stks[], int StkCt, SpeedList &SpList);
	tagCtlPoint &Item(int index);
	QString GetCmdF(int index);
	int GetCount(void);
	~CtlPointList(void);
private:
	void Append(SpeedList &SpdList);
	void Append(tagBahnStrecke Stks[], int StkCt);
	PtrCtlPointList list;
};


#endif
